<?php  
	include "conexion.php";
	include 'mysql_Agregar_auditoria.php';

	session_start();

	$usuario = $_GET['usuario'];
	$password = $_GET['password'];
	$control =0;

	$sql = "select id_usuario, "; 
	$sql .="id_cliente  ";
	$sql .="from ";
	$sql .="usuarios ";
	$sql .="where ";
	$sql .="tipo = 1 and ";
	$sql .="id_usuario= '".$usuario."' ";
	$sql .="and clave = '".$password."' ";
	//$sql .="and clave = TO_BASE64('".$password."') ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
        echo "Error al cargar información de usuarios";
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$control=1;
        $_SESSION['id_usuario'] = $row['id_usuario'];
        $_SESSION['id_cliente'] = $row['id_cliente'];        
        $_SESSION['direccion_ip'] = $_SERVER['REMOTE_ADDR'];
        $_SESSION['direccion_mac'] ="";
        $ipAddress=$_SERVER['REMOTE_ADDR'];
        $macAddr=false;
		#run the external command, break output into lines
		$arp=`arp -a $ipAddress`;
		$lines=explode("\n", $arp);

		#look for the output line describing our IP address
		foreach($lines as $line)
		{
		   $cols=preg_split('/\s+/', trim($line));
		   if ($cols[0]==$ipAddress)
		   {
		       $_SESSION['direccion_mac'] =$cols[1];
		   }
		}

		$informacion = 'Usuario: '.$usuario."  inicio sesion en Gaslight System Flotillas Locales";
		$datos = " USUARIO:".$usuario;
		insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);
        
    }

    $resultado->free();

   
    echo $control;

?>

